Summary: An SSL module for the Apache Web server.
Summary(cs): SSL modul pro WWW server Apache.
Name: mod_ssl
%define apache_version 1.3.12
Version: 2.6.2
Release: 1cs
Group: System Environment/Daemons
Group(cs): Systmov prosted/Dmoni
Source0: http://www.modssl.org/source/mod_ssl-%{version}-%{apache_version}.tar.gz
Source1: mod_ssl.conf
Source2: server.crt
Source3: server.key
Source4: ssl.default-vhost.conf
Copyright: BSD
BuildRoot: /var/tmp/%{name}-root
Requires: apache >= 1.3.12, openssl >= 0.9.4

%define apversion 1.3.12
%define mczversion 3.1.0
%define mczsslversion 2.6.0
%define mczname mcz-%{apversion}-%{mczversion}
Source5: http://www.intersoft.cz/mod_czech/download/mod_czech3/Version_3_1_0/Apache_1_3_12_Version/%{mczname}.tar.gz

%description
The mod_ssl project provides strong cryptography for the Apache 1.3 webserver 
via the Secure Sockets Layer (SSL v2/v3) and Transport Layer Security (TLS v1) 
protocols by the help of the Open Source SSL/TLS toolkit OpenSSL, which is 
based on SSLeay from Eric A. Young and Tim J. Hudson. 

The mod_ssl package was created in April 1998 by Ralf S. Engelschall and was 
originally derived from software developed by Ben Laurie for use in the 
Apache-SSL HTTP server project. The mod_ssl package is licensed under a 
BSD-style licence, which basically means that you are free to get and use it 
for commercial and non-commercial purposes as long as you retain
the authors' copyright notices and give the proper credit.
The license is equivalent to the license used by The Apache Group for
the Apache webserver itself.

%description -l cs
Projekt mod_ssl roziuje WWW server Apache 1.3 o monosti siln kryptografie
prostednictvm protokol Secure Sockets Layer (SSL v2/v3) a Transport Layer
Security (TLS v1). Vyuv pitom Open Source SSL/TLS nstroj OpenSSL,
kter jsou zaloeny na SSLeay od Erica A. Younga a Tima J. Hudsona.

Balk mod_ssl vytvoil v dubnu 1998 Ralf S. Engelschall podle program,
kter napsal Ben Laurie pro projekt HTTP serveru Apache-SSL.
Licence balku mod_ssl je ve stylu licence BSD, co v praxi znamen,
e ho mete pouvat zdarma zcela libovoln pro komern i nekomern ely
za pedpokladu, e vhodnm zpsobem informujete o autorskch prvech.
Ekvivalentn licenci m i vlastn server Apache.

%package manual
Summary: The manual of mod_ssl package.
Summary(cs): Dokumentace k balku mod_ssl.
Group: System Environment/Daemons
Group(cs): Systmov prosted/Dmoni

%description manual
The manual of mod_ssl package. If you have installed apecha-manual,
this documentations adds itself into list of modules.

%description -l cs manual
Dokumentace k balku mod_ssl. Mle-li nainstalovn balk apache-manual,
pid se tato dokumentace mezi odkazy na moduly.

%prep
# unpack mod_czech files before original apache
%setup -T -D -q -b 5 -n %{mczname}
%setup -n mod_ssl-%{version}-%{apache_version}

# apply mod_czech patch
cat ../%{mczname}/mcz-mod_ssl-%{mczsslversion}.patch |\
( cd pkg.sslmod; patch -p5 -b -z .mcz -s -E )

%build
PATH="$PATH:`pwd`"  SSL_BASE=SYSTEM CFLAGS="$RPM_OPT_FLAGS" \
./configure --with-apxs=/usr/sbin/apxs \
	    --with-ssl=/usr

### Ugly hack because of conflict between SunOS includes and gcc includes
if [ `uname` = "SunOS" ]; then
   mkdir /tmp/include
   ln -s /usr/include/openssl/ /tmp/include/openssl
   SSL_INCDIR=/tmp/include CFLAGS_SHLIB="-fPIC -DSHARED_MODULE -DSSL_USE_SDBM" make -e
   rm -rf /tmp/include 
fi
if [ `uname` = "Linux" ]; then
   CFLAGS_SHLIB="-fPIC -DSHARED_MODULE -DSSL_USE_SDBM" make -e
fi

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/apache
install -m 755 pkg.sslmod/libssl.so $RPM_BUILD_ROOT/usr/lib/apache
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf/ssl
install -m 644 $RPM_SOURCE_DIR/server.crt $RPM_BUILD_ROOT/etc/httpd/conf/ssl
install -m 644 $RPM_SOURCE_DIR/server.key $RPM_BUILD_ROOT/etc/httpd/conf/ssl
install -m 644 $RPM_SOURCE_DIR/ssl.default-vhost.conf $RPM_BUILD_ROOT/etc/httpd/conf/ssl
install -m 644 $RPM_SOURCE_DIR/mod_ssl.conf $RPM_BUILD_ROOT/etc/httpd/conf/ssl
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/manual/mod/mod_ssl
install -m 644 $RPM_BUILD_DIR/mod_ssl-%{version}-%{apache_version}/pkg.ssldoc/* $RPM_BUILD_ROOT/home/httpd/html/manual/mod/mod_ssl

%post
echo "Include conf/ssl/mod_ssl.conf" >> /etc/httpd/conf/httpd.conf
echo "Include conf/ssl/ssl.default-vhost.conf" >> /etc/httpd/conf/httpd.conf
if [ -f /var/run/httpd.pid ]; then 
   echo "Stopping Apache web server"
   /etc/rc.d/init.d/httpd stop
   echo "Sleeping 10 seconds..."
   sleep 10
   echo "Starting Apache web server again"
   /etc/rc.d/init.d/httpd start
fi

%postun
if [ `uname` = "Linux" ]; then perl="/usr/bin/perl"; fi
if [ `uname` = "SunOS" ]; then perl="/usr/local/bin/perl"; fi
$perl -pi -e "s|Include conf/ssl/mod_ssl.conf\n||g;" \
	/etc/httpd/conf/httpd.conf
$perl -pi -e "s|Include conf/ssl/ssl.default-vhost.conf\n||g;" \
	/etc/httpd/conf/httpd.conf
if [ -f /var/run/httpd.pid ]; then 
   echo "Stopping Apache web server"
   #/usr/sbin/apachectl stop
   /etc/rc.d/init.d/httpd stop
   echo "Sleeping 10 seconds..."
   sleep 10
   echo "Starting Apache web server again"
   #/usr/sbin/apachectl start
   /etc/rc.d/init.d/httpd start
fi

%post manual
if [ `uname` = "Linux" ]; then perl="/usr/bin/perl"; fi
if [ `uname` = "SunOS" ]; then perl="/usr/local/bin/perl"; fi
$perl -pi -e 's|^(.*mod_status\.html.*)$|<DT><A HREF="mod_ssl/">mod_ssl</A><DD>Strong cryptography module\n$1\n|g;' /home/httpd/html/manual/mod/index.html

%postun manual
if [ `uname` = "Linux" ]; then perl="/usr/bin/perl"; fi
if [ `uname` = "SunOS" ]; then perl="/usr/local/bin/perl"; fi
$perl -pi -e 's|^(.*mod_ssl.*)$||g;' /home/httpd/html/manual/mod/index.html

%files
%defattr(-,root,root)
%dir /etc/httpd/conf/ssl
%config(noreplace) /etc/httpd/conf/ssl/server.crt
%config(noreplace) /etc/httpd/conf/ssl/server.key
%config(noreplace) /etc/httpd/conf/ssl/mod_ssl.conf
%config(noreplace) /etc/httpd/conf/ssl/ssl.default-vhost.conf
%doc ANNOUNCE
%doc CHANGES
%doc CREDITS
%doc LICENSE
%doc NEWS
%doc README
%doc README.GlobalID
%doc README.Patents
%doc README.Support
%doc README.Versions
%doc README.Wishes

%dir /usr/lib/apache
/usr/lib/apache/libssl.so

#%dir /usr/local/ssl
#%dir /usr/local/ssl/mod_ssl
#/usr/local/ssl/mod_ssl/*.sh
#%doc/contrib %doc/contrib/*.sh

%files manual
%dir /home/httpd
%dir /home/httpd/html
/home/httpd/html/manual/mod/mod_ssl

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Apr 12 2000 Ivo Panacek <ivop@regionet.cz>
- build with mod_czech patch to work with Apache with mod_czech
- czech translation 
- manual moved to /home/httpd/html/manual/mod/mod_ssl
  and mod/index.html patched

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Thu Dec 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- rebuilt for Mandrake 7.0

* Sat Dec 12 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 2.4.9

* Mon Sep 06 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- re-build for mm 1.0.11
- changed post script to stop, then start httpd, instead of restart,
  because it didn't restart cleanly

* Fri Sep 3 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- modified config file
- rebuilt for new mm-1.0.10 module in Apache

* Wed Sep 1 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 2.4.1

* Wed Aug 18 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 2.4.0

* Mon Aug 16 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- build for apache 1.3.9

* Sun Aug 15 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 2.3.11
- cleaned SPEC file, Solaris/UltraSparc adaptation

* Sat Jul 31 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 2.3.10
- changed postun script

* Thu Jul 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated again to 2.3.9

* Tue Jul 22 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 2.3.6
- modified config so Linuxconf could manage it (I hope...)

* Sat Jun 05 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- moved documentation in html
- rebuilt for the new optimized apache

* Sun May 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 2.3.1
- add fr locale
- added sxnet (Secure ExtraNet) package from Thawte

* Sun May 23 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- handle RPM_OPT_FLAGS
- add de locale
- don't require openssl-devel
